javax.persistence.criteria

## Interface ParameterExpression<T>

Type Parameters:
  `T` - the type of the parameter expression

All Superinterfaces:
  Expression<T>, Parameter<T>, Selection<T>, TupleElement<T>

    public interface ParameterExpression<T>
    extends Parameter<T>, Expression<T>

Type of criteria query parameter expressions.

Since:
  Java Persistence 2.0

### Method Summary

### Methods inherited from interface javax.persistence.Parameter

`getName, getParameterType, getPosition`

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`